import ti_plotlib as plt
from ti_system import *
m=0.045
g=9.81

t=recall_list("1")
x1=recall_list("2")
y1=recall_list("3")
dt=t[1]-t[0]
Ec=[];Epp=[];Em=[]

def trace(x,y):
  plt.cls()
  plt.labels("Temps","",12,2)
  plt.title("Energie")
  for i in range(0,len(t)-1):
    vx = (x[i+1]-x[i]) / dt
    vy = (y[i+1]-y[i]) / dt
    v=(vx**2+vy**2)**(0.5)
    Ec.append(0.5*m*v**2)
    Epp.append(m*g*y[i+1])
    Em.append(Ec[i]+Epp[i])

  plt.window(-0.040,0.75,0,0.5)
  plt.grid(1/5,1/5,"dot")

  plt.color(255,0,0)
  plt.scatter(t[1:],Ec,"o")
  plt.text_at(5,"Ec","left",0)

  plt.color(20,148,20)
  plt.scatter(t[1:],Epp,"+")
  plt.text_at(12,"Epp","left",0)
  plt.color(0,0,255)
  plt.scatter(t[1:],Em,"x")
  plt.text_at(4,"Em","left",0)

  plt.show_plot()
trace(x1,y1)

